---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libap07t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3980, symBinAddr: 0x2720, symSize: 0x2A0 }
  - { offsetInCU: 0xAC8, offset: 0xAC8, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50140, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0xAEF, offset: 0xAEF, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52080, symBinAddr: 0x9120, symSize: 0x0 }
  - { offsetInCU: 0xB11, offset: 0xB11, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52470, symBinAddr: 0x9510, symSize: 0x0 }
  - { offsetInCU: 0xB33, offset: 0xB33, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53410, symBinAddr: 0xA4B0, symSize: 0x0 }
  - { offsetInCU: 0xB48, offset: 0xB48, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53420, symBinAddr: 0xA4C0, symSize: 0x0 }
  - { offsetInCU: 0xBD4, offset: 0xBD4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4FDC0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0xBDF, offset: 0xBDF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4FDC4, symBinAddr: 0x70A4, symSize: 0x0 }
  - { offsetInCU: 0xBEA, offset: 0xBEA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4FDC8, symBinAddr: 0x70A8, symSize: 0x0 }
  - { offsetInCU: 0xC2F, offset: 0xC2F, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4FF10, symBinAddr: 0x70B0, symSize: 0x0 }
  - { offsetInCU: 0xCA8, offset: 0xCA8, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4FFC8, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4FFCC, symBinAddr: 0x716C, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4FFD0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4FFD4, symBinAddr: 0x7174, symSize: 0x0 }
  - { offsetInCU: 0xD11, offset: 0xD11, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4FFD8, symBinAddr: 0x7178, symSize: 0x0 }
  - { offsetInCU: 0x92FB, offset: 0x92FB, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4FFE0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4FFF0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4FFF8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x50000, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x93CF, offset: 0x93CF, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x50008, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x93E8, offset: 0x93E8, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x50010, symBinAddr: 0x71B0, symSize: 0x0 }
  - { offsetInCU: 0x9402, offset: 0x9402, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x50018, symBinAddr: 0x71B8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x50060, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x50068, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x9553, offset: 0x9553, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x13A0, symSize: 0x80 }
  - { offsetInCU: 0x95E8, offset: 0x95E8, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x12F0, symSize: 0xB0 }
  - { offsetInCU: 0x9643, offset: 0x9643, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x11F0, symSize: 0x100 }
  - { offsetInCU: 0x98D6, offset: 0x98D6, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x1420, symSize: 0xC0 }
  - { offsetInCU: 0x9928, offset: 0x9928, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x14E0, symSize: 0x220 }
  - { offsetInCU: 0x9B0D, offset: 0x9B0D, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x1700, symSize: 0xA0 }
  - { offsetInCU: 0x9BC0, offset: 0x9BC0, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x17A0, symSize: 0x110 }
  - { offsetInCU: 0x9CB6, offset: 0x9CB6, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x18B0, symSize: 0x150 }
  - { offsetInCU: 0x9E13, offset: 0x9E13, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1A00, symSize: 0x30 }
  - { offsetInCU: 0x9E9C, offset: 0x9E9C, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1A30, symSize: 0x150 }
  - { offsetInCU: 0xA094, offset: 0xA094, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x1B80, symSize: 0x160 }
  - { offsetInCU: 0xA354, offset: 0xA354, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x2220, symBinAddr: 0x1CE0, symSize: 0x4A0 }
  - { offsetInCU: 0xA5C7, offset: 0xA5C7, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x2180, symSize: 0x1B0 }
  - { offsetInCU: 0xA7E2, offset: 0xA7E2, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x2330, symSize: 0xA0 }
  - { offsetInCU: 0xA8B1, offset: 0xA8B1, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x23D0, symSize: 0x20 }
  - { offsetInCU: 0xA8E8, offset: 0xA8E8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x23F0, symSize: 0x20 }
  - { offsetInCU: 0xA91F, offset: 0xA91F, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x2410, symSize: 0x20 }
  - { offsetInCU: 0xAA8E, offset: 0xAA8E, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x2430, symSize: 0x1A0 }
  - { offsetInCU: 0xADAA, offset: 0xADAA, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x25D0, symSize: 0x150 }
  - { offsetInCU: 0xAF67, offset: 0xAF67, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x3C20, symBinAddr: 0x29C0, symSize: 0x1D0 }
  - { offsetInCU: 0xB263, offset: 0xB263, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x2B90, symSize: 0x80 }
  - { offsetInCU: 0xB32C, offset: 0xB32C, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x2C10, symSize: 0x6C0 }
  - { offsetInCU: 0xBEA2, offset: 0xBEA2, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA380, symBinAddr: 0x4050, symSize: 0xB0 }
  - { offsetInCU: 0xBF19, offset: 0xBF19, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x32D0, symSize: 0x70 }
  - { offsetInCU: 0xBFD5, offset: 0xBFD5, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x3340, symSize: 0xA0 }
  - { offsetInCU: 0xC0D4, offset: 0xC0D4, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x33E0, symSize: 0x40 }
  - { offsetInCU: 0xC1CA, offset: 0xC1CA, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x3420, symSize: 0x2B0 }
  - { offsetInCU: 0xC570, offset: 0xC570, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x36D0, symSize: 0xC0 }
  - { offsetInCU: 0xC6B6, offset: 0xC6B6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x3790, symSize: 0x10 }
  - { offsetInCU: 0xC778, offset: 0xC778, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x37A0, symSize: 0x240 }
  - { offsetInCU: 0xCA61, offset: 0xCA61, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9D10, symBinAddr: 0x39E0, symSize: 0x10 }
  - { offsetInCU: 0xCABE, offset: 0xCABE, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9D20, symBinAddr: 0x39F0, symSize: 0x290 }
  - { offsetInCU: 0xCDAB, offset: 0xCDAB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9FB0, symBinAddr: 0x3C80, symSize: 0x10 }
  - { offsetInCU: 0xCE26, offset: 0xCE26, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x9FC0, symBinAddr: 0x3C90, symSize: 0x50 }
  - { offsetInCU: 0xCEB1, offset: 0xCEB1, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0xA010, symBinAddr: 0x3CE0, symSize: 0x60 }
  - { offsetInCU: 0xCF86, offset: 0xCF86, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0xA070, symBinAddr: 0x3D40, symSize: 0x90 }
  - { offsetInCU: 0xD048, offset: 0xD048, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP07_ap07t002_setTag, symObjAddr: 0xA100, symBinAddr: 0x3DD0, symSize: 0xC0 }
  - { offsetInCU: 0xD197, offset: 0xD197, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA1C0, symBinAddr: 0x3E90, symSize: 0x1C0 }
  - { offsetInCU: 0xD3C7, offset: 0xD3C7, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA430, symBinAddr: 0x4100, symSize: 0x36A }
...
